CVE-2002-2420
CVSS7.5
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:33:10
NMCOE    

[原文]site_searcher.cgi in Super Site Searcher allows remote attackers to execute arbitrary commands via shell metacharacters in the page parameter.


[CNNVD]Super Site Searcher远程可执行任意命令漏洞(CNNVD-200212-303)

        
        Super Site Searcher是一款基于Web的搜索引擎系统。
        Super Site Searcher没有正确过滤用户提交的输入,远程攻击者可以利用这个漏洞以WEB权限在系统上执行任意命令。
        Super Site Searcher中的site_searcher.cgi脚本没有充分过滤用户提交给查询参数的转义字符,通过提交包含如"|"SHELL转义字符的任意命令,可导致命令直接传递给SHELL以Web权限执行。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-20 [输入验证不恰当]

- CPE (受影响的平台与产品)

cpe:/a:independent_solution:simple_site_searcher
cpe:/a:independent_solution:super_site_searcher

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2420
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2420
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-303
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5605
(UNKNOWN)  BID  5605
http://securitytracker.com/id?1005190
(UNKNOWN)  SECTRACK  1005190

- 漏洞信息

Super Site Searcher远程可执行任意命令漏洞
高危 输入验证
2002-12-31 00:00:00 2002-12-31 00:00:00
远程  
        
        Super Site Searcher是一款基于Web的搜索引擎系统。
        Super Site Searcher没有正确过滤用户提交的输入,远程攻击者可以利用这个漏洞以WEB权限在系统上执行任意命令。
        Super Site Searcher中的site_searcher.cgi脚本没有充分过滤用户提交给查询参数的转义字符,通过提交包含如"|"SHELL转义字符的任意命令,可导致命令直接传递给SHELL以Web权限执行。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 修改程序,严格过滤用户提交的查询参数。
        * 如果你无力修改查询,请暂时停止使用Super Site Searcher。
        厂商补丁:
        Independent Solution
        --------------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.supercgis.com/site_searcher/

- 漏洞信息 (21768)

Super Site Searcher Remote Command Execution Vulnerability (EDBID:21768)
cgi webapps
2002-09-03 Verified
0 luca.ercoli
N/A [点击下载]
source: http://www.securityfocus.com/bid/5605/info

Super Site Searcher is prone to remote command execution. Shell metacharacters are not adequately filtered from query string parameters in a request to the vulnerable search engine script. The parameters are then used in a function which passes commands directly through the shell.

A remote attacker may exploit this condition to execute arbitrary commands on the shell with the privileges of the webserver process.

Simple Site Searcher, released by the same vendor, is also prone to this issue. 

http://target/searchenginepath/site_searcher.cgi?page=|command| 		

- 漏洞信息

43129
Super Site Searcher site_searcher.cgi page Variable Arbitrary Remote Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

- 时间线

2002-09-03 Unknow
2002-09-03 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站